FREEFOAM-MAPFIELDS(1)

NAME
freefoam-mapFields - Maps volume fields from one mesh to another.

SYNOPSIS

freefoam mapFields <source dir> [-parallelSource] [-parallelTarget] [-srcDoc] [-doc] [-help] [-consistent] [-case <dir>] [-sourceTime <scalar>]

DESCRIPTION

Maps volume fields from one mesh to another, reading and interpolating all fields present in the time directory of both cases. Parallel and non-parallel cases are handled without the need to reconstruct them first.

OPTIONS

<source dir>
    TODO Detailed description of argument.

-consistent
    Meshes are consistent.

-parallelSource
    The source case is decomposed.

-sourceTime <scalar>
    Time of the source.

-parallelTarget
    The target case is decomposed.

-case <dir>
    Case directory.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.